// Sample application demonstrating use of the
// SimplePostscript class to output Postscript.
// The file "test.ps" is output in the main Processing
// directory.
//
// http://process.unlekker.net/SimplePostscript/

SimplePostscript ps;

void setup() {
  size(200,200);
}

void draw() {
  background(100,0,0);
  ps=SimplePostscript.open("test.ps",0,0, 300,300);

  // Grayscale colors are float values in the 0..1 range
  ps.setgray(0.5f);
  ps.moveto(0,0);
  ps.lineto(300,300);
  ps.stroke();
  
  // RGB colors are integers in the 0..255 range
  ps.setrgb(255,200,0);
  ps.circle(0,50, 30);
  ps.fill();
  
  // CMYK colors are float values in the 0..1 range
  ps.setcmyk(1,0,0,0);
  ps.setfont("Arial",12);
  ps.text(0,100, "Testing text");
  ps.fill();
  
  ps.setcmyk(0,1,1,0);
  ps.setlinewidth(3);
  ps.moveto(0,200);
  ps.curveto(50,100, 100,100, 150,200);
  ps.curveto(200,300, 200,50, 300,0);
  ps.stroke();

  // Close file when done. If not closed, file output may not
  // be complete.
  ps.close();
}
